Functions
Functions
Peripheral Driver » HAL Driver » PWR_MGMT
Collaboration diagram for Functions:

## Functions
void | hal_pwr_mgmt_device_suspend_register (periph_device_number_t dev_num, p_device_suspend_func my_device_suspend_function)
| Set peripheral suspend function. More...
void | hal_pwr_mgmt_device_suspend_release (periph_device_number_t dev_num)
| Release peripheral suspend function. More...
void | hal_pwr_mgmt_device_resume_register (periph_device_number_t dev_num, p_device_resume_func my_device_resume_function)
| Set peripheral resume function. More...
void | hal_pwr_mgmt_device_resume_release (periph_device_number_t dev_num)
| Release peripheral resume function. More...
void | hal_pwr_mgmt_save_device_handle (periph_device_number_t dev_num, void *p_dev)
| Store the specified peripheral handle. More...
void | hal_pwr_mgmt_clear_device_handle (periph_device_number_t dev_num)
| Clear the specified peripheral handle. More...
void | hal_pwr_mgmt_set_device_state (periph_device_number_t dev_num, periph_state_t state)
| Store the specified peripheral state. More...
void | hal_pwr_mgmt_set_device_renew_flag (periph_device_number_t dev_num)
| Store the specified peripheral backup flag. More...
void | hal_pwr_mgmt_clear_device_sleep_flag (periph_device_number_t dev_num)
| Store the specified peripheral sleep flag. More...
void | hal_pwr_mgmt_extra_device_suspend_register (extra_device_number_t dev_num, p_device_suspend_func my_device_suspend_function, void *p_dev_handle)
| Set extra device suspend function. More...
void | hal_pwr_mgmt_extra_device_resume_register (extra_device_number_t dev_num, p_device_resume_func my_device_resume_function, void *p_dev_handle)
| Set extra resume function. More...
void | hal_pwr_mgmt_set_extra_device_state (extra_device_number_t dev_num, periph_state_t state)
| set the specified extra device state More...
void | hal_pwr_mgmt_set_extra_device_renew_flag (extra_device_number_t dev_num)
| set the specified extra device updata flag More...

## Detailed Description

## Function Documentation

## ◆ hal_pwr_mgmt_clear_device_handle()

void hal_pwr_mgmt_clear_device_handle | ( | periph_device_number_t | dev_num | ) |

Clear the specified peripheral handle.

Parameters

  [in] | dev_num | Peripheral device ID definition.

Return values

  void. |

## ◆ hal_pwr_mgmt_clear_device_sleep_flag()

void hal_pwr_mgmt_clear_device_sleep_flag | ( | periph_device_number_t | dev_num | ) |

Store the specified peripheral sleep flag.

Parameters

  [in] | dev_num | Peripheral device ID definition.

Return values

  void. |

## ◆ hal_pwr_mgmt_device_resume_register()

void hal_pwr_mgmt_device_resume_register | ( | periph_device_number_t | dev_num,
|  | p_device_resume_func | my_device_resume_function
| ) |  |

Set peripheral resume function.

Parameters

  [in] | dev_num | Peripheral device ID definition.
  [in] | my_device_resume_function | Peripheral resume callback function.

Return values

  void. |

## ◆ hal_pwr_mgmt_device_resume_release()

void hal_pwr_mgmt_device_resume_release | ( | periph_device_number_t | dev_num | ) |

Release peripheral resume function.

Parameters

  [in] | dev_num | Peripheral device ID definition.

Return values

  void. |

## ◆ hal_pwr_mgmt_device_suspend_register()

void hal_pwr_mgmt_device_suspend_register | ( | periph_device_number_t | dev_num,
|  | p_device_suspend_func | my_device_suspend_function
| ) |  |

Set peripheral suspend function.

Parameters

  [in] | dev_num | Peripheral device ID definition.
  [in] | my_device_suspend_function | Peripheral suspend callback function.

Return values

  void. |

## ◆ hal_pwr_mgmt_device_suspend_release()

void hal_pwr_mgmt_device_suspend_release | ( | periph_device_number_t | dev_num | ) |

Release peripheral suspend function.

Parameters

  [in] | dev_num | Peripheral device ID definition.

Return values

  void. |

## ◆ hal_pwr_mgmt_extra_device_resume_register()

void hal_pwr_mgmt_extra_device_resume_register | ( | extra_device_number_t | dev_num,
|  | p_device_resume_func | my_device_resume_function,
|  | void * | p_dev_handle
| ) |  |

Set extra resume function.

Parameters

  [in] | dev_num | extra device ID definition.
  [in] | my_device_resume_function | extra resume callback function.Set NULL to release
  [in] | p_dev_handle | Pointer to the specified extra device handle.

Return values

  void. |

## ◆ hal_pwr_mgmt_extra_device_suspend_register()

void hal_pwr_mgmt_extra_device_suspend_register | ( | extra_device_number_t | dev_num,
|  | p_device_suspend_func | my_device_suspend_function,
|  | void * | p_dev_handle
| ) |  |

Set extra device suspend function.

Parameters

  [in] | dev_num | extra device ID definition.
  [in] | my_device_suspend_function | extra suspend callback function.Set NULL to release
  [in] | p_dev_handle | Pointer to the specified extra device handle.

Return values

  void. |

## ◆ hal_pwr_mgmt_save_device_handle()

void hal_pwr_mgmt_save_device_handle | ( | periph_device_number_t | dev_num,
|  | void * | p_dev
| ) |  |

Store the specified peripheral handle.

Parameters

  [in] | dev_num | Peripheral device ID definition.
  [in] | p_dev | Pointer to the specified peripheral handle.

Return values

  void. |

## ◆ hal_pwr_mgmt_set_device_renew_flag()

void hal_pwr_mgmt_set_device_renew_flag | ( | periph_device_number_t | dev_num | ) |

Store the specified peripheral backup flag.

Parameters

  [in] | dev_num | Peripheral device ID definition.

Return values

  void. |

## ◆ hal_pwr_mgmt_set_device_state()

void hal_pwr_mgmt_set_device_state | ( | periph_device_number_t | dev_num,
|  | periph_state_t | state
| ) |  |

Store the specified peripheral state.

Parameters

  [in] | dev_num | Peripheral device ID definition.
  [in] | state | the specified peripheral state.

Return values

  void. |

## ◆ hal_pwr_mgmt_set_extra_device_renew_flag()

void hal_pwr_mgmt_set_extra_device_renew_flag | ( | extra_device_number_t | dev_num | ) |

set the specified extra device updata flag

Parameters

  [in] | dev_num | extra device ID definition.

Return values

  void. |

## ◆ hal_pwr_mgmt_set_extra_device_state()

void hal_pwr_mgmt_set_extra_device_state | ( | extra_device_number_t | dev_num,
|  | periph_state_t | state
| ) |  |

set the specified extra device state

Parameters

  [in] | dev_num | extra device ID definition.
  [in] | state | the specified extra device state.

Return values

  void. |